/*
 source parameter values.  
  
  parameter - the routine uses a value passed in another parameter 
  default - the routine reads the current jumper setting 
*/

#define PARAMETER                   0 
#define DEFAULT                     1 

/*
 terminator parameter values.

  LF.term - sets RX or TX terminator to ASCII 10 
  EOI.term - sets RX or TX terminator to EOI true
  LF.or.EOI.term - sets RX terminator to either LF or EOI
  user.def.char - sets RX terminator to a user defined character
                  passed in the char parameter 
*/

#define LF_TERM                     0 
#define EOI_TERM                    1 
#define LF_OR_EOI_TERM              2 
#define USER_DEF_CHAR               3 

/*
 mode parameter values

  device - sets B421 mode to GPIB device
  system.controller - sets B421 mode to GPIB system controller

  N.B. 0 and 1 are Inmos reserved values for the mode parameter
*/

#define DEVICE                      2 
#define SYSTEM_CONTROLLER           3 

/*
 driver.type parameter values

  open.collector - sets GPIB bus drivers to o/c. 
  tristate - sets GPIB bus drivers to tristate.

  N.B. When using IMS F001, tristate drivers should always be used.
       open collector drivers can reduce data transfer rates. 
*/

#define OPEN_COLLECTOR              0 
#define TRISTATE                    1 

/*
 event.list parameter values

  These are values returned by the WAIT.ON.GPIB.EVENT routine
  in the event.list parameter. The names are self-descriptive.
*/

#define B421_IS_ADDRESSED_TO_TALK   1 
#define B421_IS_ADDRESSED_TO_LISTEN 2 
#define REN_IS_SET_TRUE             3 
#define REN_IS_SET_FALSE            4 
#define IFC_IS_SET_TRUE             5 
