--
-- source parameter values.  
--  
--  parameter - the routine uses a value passed in another parameter 
--  default - the routine reads the current jumper setting 
--
VAL INT16 parameter                   IS 0 (INT16):  
VAL INT16 default                     IS 1 (INT16):
--
-- terminator parameter values.
--
--  LF.term - sets RX or TX terminator to ASCII 10 
--  EOI.term - sets RX or TX terminator to EOI true
--  LF.or.EOI.term - sets RX terminator to either LF or EOI
--  user.def.char - sets RX terminator to a user defined character
--                  passed in the char parameter 
--
VAL INT16 LF.term                     IS 0 (INT16): 
VAL INT16 EOI.term                    IS 1 (INT16):
VAL INT16 LF.or.EOI.term              IS 2 (INT16):
VAL INT16 user.def.char               IS 3 (INT16):
--
-- mode parameter values
--
--  device - sets B421 mode to GPIB device
--  system.controller - sets B421 mode to GPIB system controller
--
--  N.B. 0 and 1 are Inmos reserved values for the mode parameter
--
VAL INT16 device                      IS 2 (INT16):
VAL INT16 system.controller           IS 3 (INT16):
--
-- driver.type parameter values
--
--  open.collector - sets GPIB bus drivers to o/c. 
--  tristate - sets GPIB bus drivers to tristate.
--
--  N.B. When using IMS F001, tristate drivers should always be used.
--       open collector drivers can reduce data transfer rates. 
--
VAL INT16 open.collector              IS 0 (INT16):
VAL INT16 tristate                    IS 1 (INT16):
--
-- event.list parameter values
--
--  These are values returned by the WAIT.ON.GPIB.EVENT routine
--  in the event.list parameter. The names are self-descriptive.
--
VAL INT16 B421.is.addressed.to.talk   IS 1 (INT16):
VAL INT16 B421.is.addressed.to.listen IS 2 (INT16):
VAL INT16 REN.is.set.true             IS 3 (INT16):
VAL INT16 REN.is.set.false            IS 4 (INT16):
VAL INT16 IFC.is.set.true             IS 5 (INT16):
